curl --request POST \
--url https://api.plazbot.com/api/contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"workspaceId": "<string>",
"name": "<string>",
"platformId": 123,
"lastname": "<string>",
"email": "<string>",
"internalWhatsappNumber": "<string>",
"stageId": "<string>",
"isoCountryCode": "<string>",
"tags": [
"<string>"
],
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.plazbot.com/api/contact"
payload = {
"workspaceId": "<string>",
"name": "<string>",
"platformId": 123,
"lastname": "<string>",
"email": "<string>",
"internalWhatsappNumber": "<string>",
"stageId": "<string>",
"isoCountryCode": "<string>",
"tags": ["<string>"],
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
]
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
workspaceId: '<string>',
name: '<string>',
platformId: 123,
lastname: '<string>',
email: '<string>',
internalWhatsappNumber: '<string>',
stageId: '<string>',
isoCountryCode: '<string>',
tags: ['<string>'],
customFields: [{code: '<string>', value: '<string>'}]
})
};
fetch('https://api.plazbot.com/api/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"contact": {
"id": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"assignedAgentId": "<string>",
"assignedAgentName": "<string>",
"segmentationId": "<string>",
"lastMessage": "<string>",
"lastMessageDate": "2023-11-07T05:31:56Z",
"platformSenderId": "<string>",
"platformSenderName": "<string>",
"platformSenderPhone": "<string>",
"platformSenderEmail": "<string>",
"isRead": true,
"isBotEnabled": true,
"isManuallyAdded": true,
"avatarColor": "<string>",
"orderInCards": 123,
"orderInCardsLastUpdated": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"assignmentDate": "2023-11-07T05:31:56Z"
}
],
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
],
"files": [
"<string>"
],
"isSolved": true,
"workspaceId": "<string>",
"name": "<string>",
"lastname": "<string>",
"email": "<string>",
"platformId": 123,
"stageId": "<string>",
"internalWhatsappNumber": "<string>",
"blocked": true
}
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Create Contacts
Servicio para crear un nuevo contacto en el workspace. Si se utiliza platformId con el codigo de WhatsApp (2), se debe enviar obligatoriamente el campo internalWhatsappNumber.
Codigos de los canales (platformId):
- 1: Webchat
- 2: WhatsApp
- 3: Messenger
- 4: Instagram
- 5: Telegram
- 6: Portal
- 7: Code
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Body
Identificador del workspace
Nombre del contacto
ID del canal (1=Webchat, 2=WhatsApp, 3=Messenger, 4=Instagram, 5=Telegram, 6=Portal, 7=Code)
Apellido del contacto
Correo electronico del contacto
Numero de WhatsApp del contacto (ej: 57123456789). Obligatorio cuando platformId=2
ID de la etapa del contacto. Obtener los codigos del servicio Get Workspace
Indicador de bandera del pais (ej: PE, US, ES, CO)
IDs de etiquetas a asignar
Campos personalizados, se crea en la plataforma en Configuracion -> Variables
Show child attributes
Show child attributes
Response
Contacto creado exitosamente

